from collections import OrderedDict
import numpy as np
import extinction
from extinction_plot import extinction_figure

wave = np.logspace(np.log10(910.), np.log10(30000.), 2000)

a_lambda = OrderedDict([
    ('$R_V$ = 2.1', extinction.odonnell94(wave, 1.0, 2.1)),
    ('$R_V$ = 2.6', extinction.odonnell94(wave, 1.0, 2.6)),
    ('$R_V$ = 3.1', extinction.odonnell94(wave, 1.0, 3.1)),
    ('$R_V$ = 3.6', extinction.odonnell94(wave, 1.0, 3.6)),
    ('$R_V$ = 4.1', extinction.odonnell94(wave, 1.0, 4.1))
    ])
extinction_figure(wave, a_lambda, '$R_V$ = 3.1',
                  residual_lims=(-0.2, 0.6),
                  title_text='odonnell94')